Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.core.context.variable
Class VariableScope

    java.lang.Object
      org.jbpm.process.core.context.AbstractContext
          org.jbpm.process.core.context.variable.VariableScope

All Implemented Interfaces:
  Serializable, Context

    public class VariableScope

extends AbstractContext

See Also:
  Serialized Form

Field Summary
`static String` | `VARIABLE_SCOPE`

Constructor Summary
`VariableScope()`

Method Summary
`Variable` | `findVariable(String variableName)`
`String` | `getType()`
`String[]` | `getVariableNames()`
`List<Variable>` | `getVariables()`
`Context` | `resolveContext(Object param)`
`void` | `setVariables(List<Variable> variables)`

Methods inherited from class org.jbpm.process.core.context.AbstractContext
`getContextContainer, getId, setContextContainer, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VARIABLE_SCOPE

    public static final String VARIABLE_SCOPE

See Also:
  Constant Field Values

Constructor Detail

### VariableScope

    public VariableScope()

Method Detail

### getType

    public String getType()

### getVariables

    public List<Variable> getVariables()

### setVariables

    public void setVariables(List<Variable> variables)

### getVariableNames

    public String[] getVariableNames()

### findVariable

    public Variable findVariable(String variableName)

### resolveContext

    public Context resolveContext(Object param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.